/* 
 * TCS Alignment Toolbox
 * 
 * Copyright (C) 2013, 2014
 * Benjamin Paaßen, Charlie Krüger, Georg Zentgraf
 * AG Theoretical Computer Science
 * Centre of Excellence Cognitive Interaction Technology (CITEC)
 * University of Bielefeld
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 * 
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

package de.unibi.citec.tcs.alignment.visualization;

import de.unibi.citec.tcs.alignment.sequence.Node;
import java.io.File;
import java.util.HashMap;

/**
 *
 * @author ckrueger
 */
public class PartStringFromFileExternalContent implements SpecialHTMLTransformer {

    private final String keyword;
    private final HashMap<String, File> files = new HashMap<String, File>();

    public PartStringFromFileExternalContent(String keyword, String[] file_or_folder_names) {
        this.keyword = keyword;
        //TODO: fill the file name list.
    }

    public PartStringFromFileExternalContent(String keyword, String folder) {
        this.keyword = keyword;
        //TODO: fill the file name list.
    }

    public PartStringFromFileExternalContent(String keyword, File[] files_or_folders) {
        this.keyword = keyword;
        //TODO: fill the file name list.
    }

    public PartStringFromFileExternalContent(String keyword, File folder) {
        this.keyword = keyword;
        //TODO: fill the file name list.
    }

    public String getKeyword() {
        return keyword;
    }

    public String getHTMLforNode(Node node) {
        /*
         * TODO: 1.) retrieve file name from node
         * 2.) look up file in hash map
         * 3.) retrieve code position from node
         * 4.) retrieve code from file.
         * 5.) transform to HTML
         * 6.) return
         */
        
        throw new UnsupportedOperationException("Not supported yet.");
    }
}
